Get call recording URL

Returns a time-limited presigned URL for recording playback. Fetch the audio directly from that URL.

Requires the call to belong to the account and to have recordingStatus = ready; recording must be enabled for the account.

Authentication

AuthorizationBearer

Pass a JWT access token or an API key (prefixed with tif_live_) as a Bearer token.

Path parameters

callIdstringRequiredformat: "uuid"
Call ID

Response

Presigned URL for call recording playback
expiresInSecslong>=0

Seconds until the pre-signed URL expires

urlstring

Pre-signed S3 URL to download the recording

durationSecsdouble or nullOptional
Recording duration in seconds
fileSizeByteslong or nullOptional
Recording file size in bytes
recordingExpiresAtstring or nullOptional

When the recording will be permanently deleted from storage (ISO 8601)

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error